/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Query;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtovtaEmpresaContaBancariaDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresaContaBancaria;

/**
 *
 * @author Desenvolvimento
 */
@Repository("ptovtaEmpresaContaBancariaHibernateDAO")
public class PtovtaEmpresaContaBancariaHibernateDAO extends GenericHibernateDAO<PtovtaEmpresaContaBancaria, Integer> implements PtovtaEmpresaContaBancariaDAO {
    @Autowired
    public PtovtaEmpresaContaBancariaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<PtovtaEmpresaContaBancaria> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public void borrarFisico(PtovtaEmpresaContaBancaria pto) {
        String hql = " delete from PtovtaEmpresaContaBancaria "
                + " where ptovtaEmpresaContaBancariaId = " + pto.getPtovtaEmpresaContaBancariaId();
        Query sq = getSession().createQuery(hql);
        sq.executeUpdate();
    }
}
